package com.yihu.wlyy.util;

/**
 * 消息类型定义
 * @author George
 *
 */
public class MessageType {

	// 系统消息
	public static enum MESSAGE_TYPE_SYSTEM {
		SYSTEM, 系统消息
	};

	// ===================================患者端======================================
	// 新的随访记录√
	public static enum MESSAGE_TYPE_PATIENT_NEW_FOLLOW_UP {
		P_FU_01, 随访计划, 您有新的随访计划
	};

	// 随访提醒√
	public static enum MESSAGE_TYPE_PATIENT_FOLLOW_UP_TIPS {
		P_FU_02, 随访提醒, 您有新的随访提醒
	};

	// 新的健康指导√
	public static enum MESSAGE_TYPE_PATIENT_HEALTH_GUIDANCE {
		P_HG_01, 健康指导, 您有新的健康指导
	};

	// 新的体测提醒√
	public static enum MESSAGE_TYPE_PATIENT_SELF_INSPECTION {
		P_SI_01, 体测提醒, 您有新的体测提醒
	};

	// 新的检查检验消息√
	public static enum MESSAGE_TYPE_PATIENT_INSPECTION_SUGGEST {
		P_IS_01, 检查检验, 您有新的检查检验建议
	};

	// 新的用药指导
	public static enum MESSAGE_TYPE_PATIENT_MEDICATION_GUIDANCE {
		P_MG_01, 用药指导, 您有新的用药指导
	};

	// 新的病历记录√
	public static enum MESSAGE_TYPE_PATIENT_MEDICAL_RECORD {
		P_MR_01, 病历夹, 您有新的病历记录
	};

	// 预约成功提醒√
	public static enum MESSAGE_TYPE_PATIENT_RESERVATION {
		P_R_01, 预约挂号
	};

	// 健康教育√
	public static enum MESSAGE_TYPE_PATIENT_HEALTH_EDU {
		P_HE_01, 健康教育, 您有新的健康教育
	};

	// 家庭签约申请通过
	public static enum MESSAGE_TYPE_PATIENT_SIGN_WEB_PASS {
		P_SW_01, 家庭签约, 家庭签约已申请通过
	};

	// 家庭签约医生申请解约消息
	public static enum MESSAGE_TYPE_PATIENT_SIGN_WEB_RELIEVE {
		P_SW_02, 家庭签约, 医生申请解除家庭签约
	};

	// 家庭签约医生同意解约消息
	public static enum MESSAGE_TYPE_PATIENT_SIGN_WEB_RELIEVE_PASS {
		P_SW_03, 家庭签约, 医生已同意您解除家庭签约申请
	};

	// 家庭签约医生拒绝解约消息
	public static enum MESSAGE_TYPE_PATIENT_SIGN_WEB_RELIEVE_REFUSE {
		P_SW_04, 家庭签约, 医生拒绝解除家庭签约申请
	};

	// 指定咨询医生回复提醒√
	public static enum MESSAGE_TYPE_PATIENT_CONSULT_TEAM_REPLY {
		P_CT_01, 三师咨询, 医生回复了您
	};

	// 公共咨询医生回复提醒√
	public static enum MESSAGE_TYPE_PATIENT_CONSULT_PUBLIC_REPLY {
		P_CP_01, 公共咨询, 医生回复了您
	};

	// 病友圈回复提醒√
	public static enum MESSAGE_TYPE_PATIENT_CONSULT_COMMUNICATION_REPLY {
		P_CC_01, 病友圈, 您有新的回复内容
	};

	// 新的健康资讯提醒
	public static enum MESSAGE_TYPE_PATIENT_HEALTH_NEWS {
		P_HN_01, 健康资讯, 您有新的健康资讯
	};

	// ===================================医生端======================================
	// 新的指定咨询√
	public static enum MESSAGE_TYPE_DOCTOR_NEW_CONSULT_TEAM {
		D_CT_01, 指定咨询, 您有新的指定咨询
	};

	// 患者回复指定咨询√
	public static enum MESSAGE_TYPE_DOCTOR_NEW_CONSULT_TEAM_REPLY {
		D_CT_02, 指定咨询, 您有新的消息
	};
	// 新的指定咨询√ huanzhe
	public static enum MESSAGE_TYPE_DOCTOR_NEW_FAMOUS_CONSULT_TEAM {
		D_CT_03, 名医咨询, 您有新的名医咨询
	};
	public static enum MESSAGE_TYPE_DOCTOR_NEW_FAMOUS_CONSULT_TEAM_DOCTOR {
		D_CT_04, 名医咨询, 您有新的名医咨询
	};
	//新的续方咨询
	public static enum MESSAGE_TYPE_DOCTOR_NEW_FAMOUS_CONSULT_TEAM_PRESCRIPTION {
		D_CT_05, 续方咨询, 您有新的续方咨询
	};

	// 患者回复指定咨询√
	public static enum MESSAGE_TYPE_DOCTOR_NEW_FAMOUS_CONSULT_TEAM_REPLY {
		D_CT_02, 名医咨询, 您有新的消息
	};
	// 新的家庭签约
	public static enum MESSAGE_TYPE_DOCTOR_NEW_SIGN_WEB {
		D_SW_01, 家庭签约
	};

	// 患者申请取消家庭签约消息
	public static enum MESSAGE_TYPE_DOCTOR_SIGN_WEB_RELIEVE {
		D_SW_02, 家庭签约, 患者申请解除家庭签约
	};

	// 医生申请取消家庭签约患者同意消息
	public static enum MESSAGE_TYPE_DOCTOR_SIGN_WEB_RELIEVE_PASS {
		D_SW_03, 家庭签约, 患者同意您的解除家庭签约申请
	};

	// 医生申请取消家庭签约患者拒绝消息
	public static enum MESSAGE_TYPE_DOCTOR_SIGN_WEB_RELIEVE_REFUSE {
		D_SW_04, 家庭签约, 患者拒绝您的解除家庭签约申请
	};

	// 新的视频咨询√
	public static enum MESSAGE_TYPE_DOCTOR_CONSULT_VIDEO {
		D_CV_01, 视频咨询, 您有新的视频咨询
	};

	// 随访计划完成消息
	public static enum MESSAGE_TYPE_DOCTOR_FOLLOW_UP_PLAN_FINISH {
		D_FU_01, 随访计划, 患者已完成随访计划
	};

	// 随访计划阶段完成消息
	public static enum MESSAGE_TYPE_DOCTOR_FOLLOW_UP_STAGE_FINISH {
		D_FU_02, 随访计划
	};

	// 随访计划随访项完成消息
	public static enum MESSAGE_TYPE_DOCTOR_FOLLOW_UP_ITEM_FINISH {
		D_FU_03, 随访计划
	};

	// 患者回答随访记录消息
	public static enum MESSAGE_TYPE_DOCTOR_FOLLOW_UP_RECORD_FINISH {
		D_FU_04, 随访计划, 患者已提交随访内容
	};
	
	public static enum MESSAGE_TYPE_DOCTOR_HEALTH_INDEX {
		D_HI_01, 体征指标
	};

}
